All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.dataselectors.sort.html
Interface SortSelectorKeysInterface

All Known Implementing Classes:
  SortSelectorPanel

    public interface SortSelectorKeysInterface

This interface defines keys used to retrieve the visual components for the SortSelectorPanel from its component map. These keys are the component keys needed to access the components from the map via a CompositeComponentInterface. Use these keys to retrieve the subcomponents from the component map to modify component properties or replace the component entirely.

For More Information:

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

Since:
  3.1.4
See Also:
  `SortSelectorPanel`, `CompositeComponentInterface`

Field Summary
`static java.lang.String` | `SORTSELECTOR` Component key for the selector.
`static java.lang.String` | `SORTSELECTOR_SORT_BY_CHOICEBOX` Component key for the sort by types choice box.
`static java.lang.String` | `SORTSELECTOR_SORT_BY_LABEL` Component key for the sort by label.
`static java.lang.String` | `SORTSELECTOR_SORT_BY_RADIO` Component key for the sort by radio box.
`static java.lang.String` | `SORTSELECTOR_THEN_BY_CHOICEBOX` Component key for the then by types choice box.
`static java.lang.String` | `SORTSELECTOR_THEN_BY_CHOICEBOX1` Component key for the first then by types choice box.
`static java.lang.String` | `SORTSELECTOR_THEN_BY_CHOICEBOX2` Component key for the second then by types choice box.
`static java.lang.String` | `SORTSELECTOR_THEN_BY_LABEL` Component key for the then by label.
`static java.lang.String` | `SORTSELECTOR_THEN_BY_LABEL1` Component key for the first then by label.
`static java.lang.String` | `SORTSELECTOR_THEN_BY_LABEL2` Component key for the second then by label.
`static java.lang.String` | `SORTSELECTOR_THEN_BY_RADIO` Component key for the then by radio box.
`static java.lang.String` | `SORTSELECTOR_THEN_BY_RADIO1` Component key for the first then by radio box.
`static java.lang.String` | `SORTSELECTOR_THEN_BY_RADIO2` Component key for the second then by radio box.

Field Detail

### SORTSELECTOR

    static final java.lang.String SORTSELECTOR

  Component key for the selector. "SORTSELECTOR"

  See Also:
    Constant Field Values

### SORTSELECTOR_SORT_BY_LABEL

    static final java.lang.String SORTSELECTOR_SORT_BY_LABEL

  Component key for the sort by label. "SORTSELECTOR_SORT_BY_LABEL"

  See Also:
    Constant Field Values

### SORTSELECTOR_SORT_BY_CHOICEBOX

    static final java.lang.String SORTSELECTOR_SORT_BY_CHOICEBOX

  Component key for the sort by types choice box. "SORTSELECTOR_SORT_BY_CHOICEBOX"

  See Also:
    Constant Field Values

### SORTSELECTOR_THEN_BY_LABEL

    static final java.lang.String SORTSELECTOR_THEN_BY_LABEL

  Component key for the then by label. "SORTSELECTOR_THEN_BY_LABEL"

  See Also:
    Constant Field Values

### SORTSELECTOR_THEN_BY_LABEL1

    static final java.lang.String SORTSELECTOR_THEN_BY_LABEL1

  Component key for the first then by label. "SORTSELECTOR_THEN_BY_LABEL1"

  See Also:
    Constant Field Values

### SORTSELECTOR_THEN_BY_CHOICEBOX

    static final java.lang.String SORTSELECTOR_THEN_BY_CHOICEBOX

  Component key for the then by types choice box. "SORTSELECTOR_THEN_BY_CHOICEBOX"

  See Also:
    Constant Field Values

### SORTSELECTOR_THEN_BY_CHOICEBOX1

    static final java.lang.String SORTSELECTOR_THEN_BY_CHOICEBOX1

  Component key for the first then by types choice box. "SORTSELECTOR_THEN_BY_CHOICEBOX1"

  See Also:
    Constant Field Values

### SORTSELECTOR_THEN_BY_LABEL2

    static final java.lang.String SORTSELECTOR_THEN_BY_LABEL2

  Component key for the second then by label. "SORTSELECTOR_THEN_BY_LABEL2"

  See Also:
    Constant Field Values

### SORTSELECTOR_THEN_BY_CHOICEBOX2

    static final java.lang.String SORTSELECTOR_THEN_BY_CHOICEBOX2

  Component key for the second then by types choice box. "SORTSELECTOR_THEN_BY_CHOICEBOX2"

  See Also:
    Constant Field Values

### SORTSELECTOR_SORT_BY_RADIO

    static final java.lang.String SORTSELECTOR_SORT_BY_RADIO

  Component key for the sort by radio box. "SORTSELECTOR_SORT_BY_RADIO"

  See Also:
    Constant Field Values

### SORTSELECTOR_THEN_BY_RADIO

    static final java.lang.String SORTSELECTOR_THEN_BY_RADIO

  Component key for the then by radio box. "SORTSELECTOR_THEN_BY_RADIO"

  See Also:
    Constant Field Values

### SORTSELECTOR_THEN_BY_RADIO1

    static final java.lang.String SORTSELECTOR_THEN_BY_RADIO1

  Component key for the first then by radio box. "SORTSELECTOR_THEN_BY_RADIO1"

  See Also:
    Constant Field Values

### SORTSELECTOR_THEN_BY_RADIO2

    static final java.lang.String SORTSELECTOR_THEN_BY_RADIO2

  Component key for the second then by radio box. "SORTSELECTOR_THEN_BY_RADIO2"

  See Also:
    Constant Field Values

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.